if not DataStore then return end

local addonName = "DataStore_Inventory"
local addon = _G[addonName]
local L = LibStub("AceLocale-3.0"):GetLocale(addonName)

function addon:SetupOptions()
	DataStore:AddOptionCategory(DataStoreInventoryOptions, addonName, "DataStore")

	-- localize options
	DataStoreInventoryOptions_AutoClearGuildInventoryText:SetText(L["Automatically clear guild members' equipment"])
	DataStore:SetCheckBoxTooltip(DataStoreInventoryOptions_AutoClearGuildInventory, L["CLEAR_INVENTORY_TITLE"], L["CLEAR_INVENTORY_ENABLED"], L["CLEAR_INVENTORY_DISABLED"])
	
	-- restore saved options to gui
	DataStoreInventoryOptions_AutoClearGuildInventory:SetChecked(DataStore:GetOption(addonName, "AutoClearGuildInventory"))
end
